## Index

### Modules

- exec
- execFile

### Interfaces

- ChildProcess
- CommonOptions
- ExecException
- ExecFileOptions
- ExecFileOptionsWithBufferEncoding
- ExecFileOptionsWithOtherEncoding
- ExecFileOptionsWithStringEncoding
- ExecFileSyncOptions
- ExecFileSyncOptionsWithBufferEncoding
- ExecFileSyncOptionsWithStringEncoding
- ExecOptions
- ExecOptionsWithBufferEncoding
- ExecOptionsWithStringEncoding
- ExecSyncOptions
- ExecSyncOptionsWithBufferEncoding
- ExecSyncOptionsWithStringEncoding
- ForkOptions
- MessageOptions
- ProcessEnvOptions
- SpawnOptions
- SpawnSyncOptions
- SpawnSyncOptionsWithBufferEncoding
- SpawnSyncOptionsWithStringEncoding
- SpawnSyncReturns

### Type aliases

- StdioOptions

### Functions

- execFileSync
- execSync
- fork
- spawn
- spawnSync

## Type aliases

### StdioOptions

StdioOptions: "pipe" | "ignore" | "inherit" | Array<undefined | null | number | "inherit" | "pipe" | "ignore" | "ipc" | Stream>

- Defined in node_modules/@types/node/child_process.d.ts:85

## Functions

### execFileSync

- execFileSync(command: string): Buffer
- execFileSync(command: string, options?: ExecFileSyncOptionsWithStringEncoding): string
- execFileSync(command: string, options?: ExecFileSyncOptionsWithBufferEncoding): Buffer
- execFileSync(command: string, options?: ExecFileSyncOptions): Buffer
- execFileSync(command: string, args?: ReadonlyArray<string>, options?: ExecFileSyncOptionsWithStringEncoding): string
- execFileSync(command: string, args?: ReadonlyArray<string>, options?: ExecFileSyncOptionsWithBufferEncoding): Buffer
- execFileSync(command: string, args?: ReadonlyArray<string>, options?: ExecFileSyncOptions): Buffer

- - Defined in node_modules/@types/node/child_process.d.ts:338

  #### Parameters

  - ##### command: string

  #### Returns Buffer

- - Defined in node_modules/@types/node/child_process.d.ts:339

  #### Parameters

  - ##### command: string

  - ##### Optional options: ExecFileSyncOptionsWithStringEncoding

  #### Returns string

- - Defined in node_modules/@types/node/child_process.d.ts:340

  #### Parameters

  - ##### command: string

  - ##### Optional options: ExecFileSyncOptionsWithBufferEncoding

  #### Returns Buffer

- - Defined in node_modules/@types/node/child_process.d.ts:341

  #### Parameters

  - ##### command: string

  - ##### Optional options: ExecFileSyncOptions

  #### Returns Buffer

- - Defined in node_modules/@types/node/child_process.d.ts:342

  #### Parameters

  - ##### command: string

  - ##### Optional args: ReadonlyArray<string>

  - ##### Optional options: ExecFileSyncOptionsWithStringEncoding

  #### Returns string

- - Defined in node_modules/@types/node/child_process.d.ts:343

  #### Parameters

  - ##### command: string

  - ##### Optional args: ReadonlyArray<string>

  - ##### Optional options: ExecFileSyncOptionsWithBufferEncoding

  #### Returns Buffer

- - Defined in node_modules/@types/node/child_process.d.ts:344

  #### Parameters

  - ##### command: string

  - ##### Optional args: ReadonlyArray<string>

  - ##### Optional options: ExecFileSyncOptions

  #### Returns Buffer

### execSync

- execSync(command: string): Buffer
- execSync(command: string, options?: ExecSyncOptionsWithStringEncoding): string
- execSync(command: string, options?: ExecSyncOptionsWithBufferEncoding): Buffer
- execSync(command: string, options?: ExecSyncOptions): Buffer

- - Defined in node_modules/@types/node/child_process.d.ts:319

  #### Parameters

  - ##### command: string

  #### Returns Buffer

- - Defined in node_modules/@types/node/child_process.d.ts:320

  #### Parameters

  - ##### command: string

  - ##### Optional options: ExecSyncOptionsWithStringEncoding

  #### Returns string

- - Defined in node_modules/@types/node/child_process.d.ts:321

  #### Parameters

  - ##### command: string

  - ##### Optional options: ExecSyncOptionsWithBufferEncoding

  #### Returns Buffer

- - Defined in node_modules/@types/node/child_process.d.ts:322

  #### Parameters

  - ##### command: string

  - ##### Optional options: ExecSyncOptions

  #### Returns Buffer

### fork

- fork(modulePath: string, args?: ReadonlyArray<string>, options?: ForkOptions): ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:270

  #### Parameters

  - ##### modulePath: string

  - ##### Optional args: ReadonlyArray<string>

  - ##### Optional options: ForkOptions

  #### Returns ChildProcess

### spawn

- spawn(command: string, options?: SpawnOptions): ChildProcess
- spawn(command: string, args?: ReadonlyArray<string>, options?: SpawnOptions): ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:113

  #### Parameters

  - ##### command: string

  - ##### Optional options: SpawnOptions

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:114

  #### Parameters

  - ##### command: string

  - ##### Optional args: ReadonlyArray<string>

  - ##### Optional options: SpawnOptions

  #### Returns ChildProcess

### spawnSync

- spawnSync(command: string): SpawnSyncReturns<Buffer>
- spawnSync(command: string, options?: SpawnSyncOptionsWithStringEncoding): SpawnSyncReturns<string>
- spawnSync(command: string, options?: SpawnSyncOptionsWithBufferEncoding): SpawnSyncReturns<Buffer>
- spawnSync(command: string, options?: SpawnSyncOptions): SpawnSyncReturns<Buffer>
- spawnSync(command: string, args?: ReadonlyArray<string>, options?: SpawnSyncOptionsWithStringEncoding): SpawnSyncReturns<string>
- spawnSync(command: string, args?: ReadonlyArray<string>, options?: SpawnSyncOptionsWithBufferEncoding): SpawnSyncReturns<Buffer>
- spawnSync(command: string, args?: ReadonlyArray<string>, options?: SpawnSyncOptions): SpawnSyncReturns<Buffer>

- - Defined in node_modules/@types/node/child_process.d.ts:297

  #### Parameters

  - ##### command: string

  #### Returns SpawnSyncReturns<Buffer>

- - Defined in node_modules/@types/node/child_process.d.ts:298

  #### Parameters

  - ##### command: string

  - ##### Optional options: SpawnSyncOptionsWithStringEncoding

  #### Returns SpawnSyncReturns<string>

- - Defined in node_modules/@types/node/child_process.d.ts:299

  #### Parameters

  - ##### command: string

  - ##### Optional options: SpawnSyncOptionsWithBufferEncoding

  #### Returns SpawnSyncReturns<Buffer>

- - Defined in node_modules/@types/node/child_process.d.ts:300

  #### Parameters

  - ##### command: string

  - ##### Optional options: SpawnSyncOptions

  #### Returns SpawnSyncReturns<Buffer>

- - Defined in node_modules/@types/node/child_process.d.ts:301

  #### Parameters

  - ##### command: string

  - ##### Optional args: ReadonlyArray<string>

  - ##### Optional options: SpawnSyncOptionsWithStringEncoding

  #### Returns SpawnSyncReturns<string>

- - Defined in node_modules/@types/node/child_process.d.ts:302

  #### Parameters

  - ##### command: string

  - ##### Optional args: ReadonlyArray<string>

  - ##### Optional options: SpawnSyncOptionsWithBufferEncoding

  #### Returns SpawnSyncReturns<Buffer>

- - Defined in node_modules/@types/node/child_process.d.ts:303

  #### Parameters

  - ##### command: string

  - ##### Optional args: ReadonlyArray<string>

  - ##### Optional options: SpawnSyncOptions

  #### Returns SpawnSyncReturns<Buffer>

Generated using TypeDoc